Package org.eclipse.viatra.query.runtime.rete.eval

## Class EvaluatorCore

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.eval.EvaluatorCore

- Direct Known Subclasses:
    `EvaluatorCore.FunctionEvaluatorCore`, `EvaluatorCore.PredicateEvaluatorCore`

      public abstract class EvaluatorCore
      extends java.lang.Object

  An instance of this class performs the evaluation of Java expressions.
  Since:
    1.5

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `EvaluatorCore.FunctionEvaluatorCore` |
    `static class` | `EvaluatorCore.PredicateEvaluatorCore` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected IExpressionEvaluator` | `evaluator` |
    `protected IEvaluatorNode` | `evaluatorNode` |
    `protected org.apache.log4j.Logger` | `logger` |
    `protected IQueryRuntimeContext` | `runtimeContext` |
    `protected int` | `sourceTupleWidth` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EvaluatorCore​(org.apache.log4j.Logger logger, IExpressionEvaluator evaluator, java.util.Map<java.lang.String,​java.lang.Integer> parameterPositions, int sourceTupleWidth)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.Object` | `errorResult()` |
    `java.lang.Object` | `evaluateTerm​(Tuple input)` |
    `protected abstract java.lang.String` | `evaluationKind()` |
    `void` | `init​(IEvaluatorNode evaluatorNode)` |
    `abstract java.lang.Iterable<Tuple>` | `performEvaluation​(Tuple input)` |
    `protected java.lang.String` | `prettyPrintTuple​(Tuple tuple)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected org.apache.log4j.Logger logger

    - #### evaluator

          protected IExpressionEvaluator evaluator

    - #### sourceTupleWidth

          protected int sourceTupleWidth

      Since:
        2.4

    - #### runtimeContext

          protected IQueryRuntimeContext runtimeContext

    - #### evaluatorNode

          protected IEvaluatorNode evaluatorNode

  - ### Constructor Detail

    - #### EvaluatorCore

          public EvaluatorCore​(org.apache.log4j.Logger logger,
                               IExpressionEvaluator evaluator,
                               java.util.Map<java.lang.String,​java.lang.Integer> parameterPositions,
                               int sourceTupleWidth)

  - ### Method Detail

    - #### init

          public void init​(IEvaluatorNode evaluatorNode)

    - #### performEvaluation

          public abstract java.lang.Iterable<Tuple> performEvaluation​(Tuple input)

      Since:
        2.4

    - #### evaluationKind

          protected abstract java.lang.String evaluationKind()

    - #### evaluateTerm

          public java.lang.Object evaluateTerm​(Tuple input)

    - #### prettyPrintTuple

          protected java.lang.String prettyPrintTuple​(Tuple tuple)

    - #### errorResult

          protected java.lang.Object errorResult()